Subject: Error compiling git when docbooc2k is custom compiled.

From: Mimiko <[email-masked]>
Date: Wed, 12 Feb 2014 08:48:34 +0200

Hello.

I've compiled docbook2x to --prefix=/opt/docbook2X. When building git 
make fails not finding docbook2x-texi, but /opt/docbook2X/bin is in the 
PATH. Investigating I've found that default build of docbook2X from 
sources creates file with the following names:

docbook2man
docbook2texi

So I use option --program-transform-name="s/^docbook2/docbook2x-/" when 
compiling docbook2X.

Please allow in building git detect the name of docbook2X when using 
default options when compiling docbook2X.

-- 
Mimiko desu.